# Spec is based on Nicolo' Costanza's and Francesco Mancuso's work in MIB

#Get rid of this annoying lib requirement
%global __requires_exclude libgtksuperwin.so|libgtkembedmoz.so|libxpcom.so

Name:		frostwire
Version:	5.6.4
Release:	%mkrel 5
Summary:	Java-based BitTorrent client
Group:		Networking/WWW
License:	GPLv3
URL:		http://www.frostwire.com/
Source0:	http://downloads.sourceforge.net/frostwire/frostwire_%{version}.orig.tar.gz
Requires:	java >= 1.5
BuildRequires:	locales
BuildRequires:	ant
BuildRequires:	java-devel
BuildArch:	noarch

%description
FrostWire is a peer-to-peer file sharing program for the BitTorrent protocol.
It is forked from Limewire and written in Java.

%prep
%setup -q

%build
export LC_ALL=UTF-8
ant everything

#Copy frostwire.jar
cp -p -v dist/*.jar lib/jars
#Copy all component jars too
cp -p -v components/*/dist/*.jar lib/jars
#Final pack200 all the jars
./resources/pack200.sh

%install
export DONT_STRIP=1

%__mkdir_p %{buildroot}%{_datadir}/%{name} %{buildroot}%{_datadir}/applications %{buildroot}%{_iconsdir} %{buildroot}%{_bindir}

install -m0644 lib/jars/*.pack %{buildroot}%{_datadir}/frostwire/
install -m0644 resources/frostwire.sh %{buildroot}%{_datadir}/frostwire/
install -m0644 resources/EULA.txt %{buildroot}%{_datadir}/frostwire/
install -m0644 resources/VERSION %{buildroot}%{_datadir}/frostwire/
install -m0755 resources/frostwire %{buildroot}%{_bindir}/
install -m0644 resources/frostwire.desktop %{buildroot}%{_datadir}/applications/
cp -fr lib/icons/hicolor %{buildroot}%{_iconsdir}

%files
%doc README.txt
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Feb 26 2016 umeabot <umeabot> 5.6.4-5.mga6
+ Revision: 979626
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.6.4-4.mga5
+ Revision: 749281
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 5.6.4-2.mga4
+ Revision: 534220
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 fwang <fwang> 5.6.4-1.mga4
+ Revision: 477008
- new version 5.6.4

* Mon Jul 08 2013 fwang <fwang> 5.6.2-1.mga4
+ Revision: 451112
- new version 5.6.2

* Sun Jun 23 2013 fwang <fwang> 5.6.1-1.mga4
+ Revision: 445925
- only readme is here
- use debian rules to install
- fix install
- build with locales for utf-8 env
- build with utf-8 env
- br ant
- new version 5.6.1

  + malo <malo>
    - update to 5.3.7. Using the source files now.
    - spec clean-up and updated description and summary (patch by Ezim)
    - Import from Mandriva and MIB


* Tue Feb 28 2012 Andrey Bondrov <abondrov@mandriva.org> 5.3.2-1mdv2012.0
+ Revision: 781337
- Small fixes to .desktop file
- imported package frostwire


* Tue Feb 28 2012 Andrey Bondrov <bondrov@math.dvgu.ru> 5.3.2-1mdv2010.2
- New version 5.3.2
- Spec cleanup

* Mon Oct 17 2011 Francesco Mancuso <mcfrank@tiscali.it> 5.1.5-69.2mib
- New version 5.1.5
- MIB (Mandriva International Backport)  - http://mib.pianetalinux.org/

* Sat Sep 03 2011 Nicolo' Costanza <abitrules@yahoo.it> 5.1.4-69.1mib
+ Version: 5.1.4
- MIB (Mandriva International Backport) - http://mib.pianetalinux.org/

* Tue Jun 21 2011  <abitrules@yahoo.it> 4.21.8-69.1mib
+ Version: 4.21.8
- MIB (Mandriva International Backport) - http://mib.pianetalinux.org/

* Thu May 19 2011 Nicolo' Costanza <abitrules@yahoo.it> 4.21.7-69.1mib
+ Version: 4.21.7
- MIB (Mandriva International Backport) - http://mib.pianetalinux.org/

* Mon May 2 2011 Nicolo' Costanza <abitrules@yahoo.it> 4.21.6-69.1mib
+ Version: 4.21.6
- MIB (Mandriva International Backport) - http://mib.pianetalinux.org/

* Tue Jan 18 2011 Nicolo' Costanza <abitrules@yahoo.it> 4.21.2-69.1mib
+ Version: 4.21.2
- MIB (Mandriva International Backport) - http://mib.pianetalinux.org/

* Tue Mar 16 2010 Nicolo' Costanza <abitrules@yahoo.it> 4.20.3-69.1mib
+ Version: 4.20.3
- MIB (Mandriva Italia Backport) - http://mib.pianetalinux.org/

* Wed Feb 17 2010 Nicolo' Costanza <abitrules@yahoo.it> 4.18.6-69.1mib
+ Version: 4.18.6
- MIB (Mandriva Italia Backport) - http://mib.pianetalinux.org/

* Thu Dec 31 2009 Nicolo' Costanza <abitrules@yahoo.it> 4.18.5-69.1mib
+ Version: 4.18.5
- MIB (Mandriva Italia Backport) - http://mib.pianetalinux.org/

* Fri May 08 2009 Nicolo' Costanza <abitrules@yahoo.it> 4.18.0-69.1mib
+ Version: 4.18.0
- MIB (Mandriva Italia Backport) - http://mib.pianetalinux.org/

* Fri Mar 20 2009 Nicolo' Costanza <abitrules@yahoo.it> 4.17.1-69.1mib
+ Version: 4.17.1
- First porting attempt for Mandriva from MIB
- MIB (Mandriva Italia Backport) - http://mib.pianetalinux.org/

